Random Class Reference

## Public Member Functions

| Random (long s=0x7654321)
int | Binary ()
double | Next ()
unsigned long | NextInt ()
double | Normal ()
void | Reset (long s)
void | InitMersenne (unsigned long s)
| operator double ()
double | Uniform (double lo=0.0, double hi=1.0)
void | Choose (int *array, int n, int k)
void | Choose (int *array, float *weights, int n, int k)

## Protected Attributes

long | seed
long | last
long * | shuffler
int | normSaved
double | normStore
double | mersenneMult
unsigned long * | mt
int | mti

## Detailed Description

Definition at line 69 of file Random.h.

The documentation for this class was generated from the following files:

- general/Random.h
- general/Random.cpp